package intrinsic.mx.controls.videoClasses;

public class NCManagerConnectClient extends Object {

	/** Accessors */

	/** Variables */
	public boolean pending;
	public intrinsic.flash.net.NetConnection netConnection;
	public int connIndex;
	public intrinsic.mx.controls.videoClasses.NCManager owner;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public NCManagerConnectClient() {
}

public NCManagerConnectClient(intrinsic.flash.net.NetConnection arg0) {
}

public NCManagerConnectClient(intrinsic.flash.net.NetConnection arg0, intrinsic.mx.controls.videoClasses.NCManager arg1) {
}

public NCManagerConnectClient(intrinsic.flash.net.NetConnection arg0, intrinsic.mx.controls.videoClasses.NCManager arg1, int arg2) {
}


/** Static Methods */

/** Methods */
public native void onBWDone();
public native void onPlayStatus();
public native void close();
public native int onBWCheck();
public native void onMetaData();

}
